import React from 'react'
import { css } from 'glamor'
import theme from './theme'

const GlobalStyles = () => {
  css.global('html', {
    height: '100%',
    display: 'flex',
    minWidth: 'auto',
    margin: 0,
    background: theme.colors.tint[0]
  })

  css.global('body', {
    margin: 0,
    flex: 1,
    display: 'flex',
    flexDirection: 'column'
  })

  css.global('body > div:first-child', {
    // This is meant as a robust way to make flexed layouts work for React roots
    // This makes the assumption that the div is the #root
    width: '100%',
    flex: 1
  })

  return null
}

export default GlobalStyles
